Skip to main content
POST
/
customer
/
api
/
open
/
v1
/
loyalty
/
customers
/
{customerId}
/
points
/
adjust
Add or deduct loyalty points
curl --request POST \
  --url https://api.bitbybit.studio/customer/api/open/v1/loyalty/customers/{customerId}/points/adjust \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "points": 2,
  "reason": "<string>",
  "idempotencyKey": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api.bitbybit.studio/customer/api/open/v1/loyalty/customers/{customerId}/points/adjust"

payload = {
    "points": 2,
    "reason": "<string>",
    "idempotencyKey": "<string>",
    "metadata": {}
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({points: 2, reason: '<string>', idempotencyKey: '<string>', metadata: {}})
};

fetch('https://api.bitbybit.studio/customer/api/open/v1/loyalty/customers/{customerId}/points/adjust', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "wallet": {
      "id": "<string>",
      "companyId": 123,
      "customerId": "<string>",
      "availablePoints": "<string>",
      "reservedPoints": "<string>",
      "lifetimeEarnedPoints": "<string>",
      "lifetimeBurnedPoints": "<string>",
      "version": "<string>",
      "lastLedgerAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "ledger": {
      "id": "<string>",
      "companyId": 123,
      "customerId": "<string>",
      "walletId": "<string>",
      "entryType": "<string>",
      "pointsDelta": "<string>",
      "availableAfter": "<string>",
      "reservedAfter": "<string>",
      "referenceType": "<string>",
      "referenceId": "<string>",
      "idempotencyKey": "<string>",
      "note": "<string>",
      "metadata": {},
      "occurredAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdById": 123
    },
    "idempotencyKey": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

customerId
string
required

Body

application/json
direction
enum<string>
required
Available options:
add,
deduct
points
integer
required
Required range: x >= 1
reason
string
required
idempotencyKey
string
metadata
object

Response

200 - application/json

Success

data
object